Subject: bug#47318: 26.3; Modules on Emacs 26.3 broken?

From: Sanel Zukan <[email-masked]>
Date: Mon, 29 Mar 2021 11:16:19 +0200

Philipp Stephani <[email-masked]> writes:
> I can't reproduce that, sorry. Both the fboundp check and calling the
> function work as expected for me. I've compiled the module as
> described in http://diobla.info/blog-archive/modules-tut.html.

Hm... any idea how this can be further debugged? In that mymod.c
example, I've added couple of puts() and all loading functions are run
properly.

I'm on slack 14.2 with kernel 5.9.1 x86_64, gcc 5.5.0. Not sure if this
makes any difference...

Best,
Sanel

>> Replicating the same steps in emacs 27.2, in the step 4. it will
>> return 't' and when '(mymod-test)' is called, it will return 42.
>>
>> Best regards,
>> Sanel
>>
>> >>
>> >> Any idea what could go wrong?
>> >>
>> >> Best regards,
>> >> Sanel
>> >>
>> >> Philipp Stephani <[email-masked]> writes:
>> >>> Am Mo., 22. März 2021 um 14:14 Uhr schrieb Sanel Zukan <[email-masked]>:
>> >>>>
>> >>>> Hi guys,
>> >>>>
>> >>>> I'm getting this [1] error from freshly compiled Emacs 26.3 and
>> >>>> vterm-module.
>> >>>>
>> >>>> Also, emacs-eject [2] and very simple module [3] fails on 26.3 with the
>> >>>> similar error. However, they are working fine on 27.1.
>> >>>>
>> >>>> Any idea what could go wrong? I also tried to run bare Emacs with
>> >>>> 'emacs -Q'. In the all cases, Emacs is compiled with modules support.
>> >>>>
>> >>>> [1] https://github.com/akermu/emacs-libvterm/issues/181
>> >>>> [2] https://github.com/syohex/emacs-eject
>> >>>> [3] http://diobla.info/blog-archive/modules-tut.html
>> >>>>
>> >>>
>> >>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30164 is probably at
>> >>> least part of the answer.
>> >>> However, loading modules in general should still work, even in Emacs
>> >>> 26. Do you also get errors when loading the module file directly with
>> >>> `load' instead of `require'?